##############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Gecse, Roland
#
##############################################################################
GCC_DIR=/usr/
CGIC_DIR=/mnt/TTCN/Tools/cgic205-gcc3.0.4-sol8
#valid on on $TITAN7, RHEL7 :
MYSQL_DIR := /app/vbuild/RHEL7-x86_64/mysql/5.5.30/

CC=${GCC_DIR}/bin/gcc

all: renew_license.cgi

renew_license.cgi: renew_license.o
	${CC} -o renew_license.cgi renew_license.o -L${CGIC_DIR} -L${MYSQL_DIR}/lib -lcgic -lmysqlclient -lz -lresolv -lxnet -lm

renew_license.o: renew_license.c
	${CC} -c renew_license.c -I${CGIC_DIR} -I${MYSQL_DIR}/include

clean:
	rm renew_license.cgi

install:
	cp renew_license.html /export/localhome/httpd/htdocs/
	cp renew_license.cgi /export/localhome/httpd/cgi-bin/
